100 REM NAME: CAPTURE
105 REM
110 REM (C) MAC OGLESBY 2/20/78
112 REM LAST CBM PET REVISION: 3/30/80
115 REM KIM-1 BASIC VERSION BY DAVE HASSLER, MARCH 2023
117 REM
120 REM A GAME FOR 1 OR 2 PLAYERS.
130 REM COPYRIGHT 1978 BY MAC OGLESBY
140 REM PERMISSION GRANTED TO USE,
150 REM BUT NOT TO SELL.
170 REM
205 ES$=CHR$(27)+CHR$(91):CL$=ES$+"2J":RV$=ES$+"7m":NO$=ES$+"m"
207 DN$=ES$+"2B":HM$=ES$+"H":POKE 10920,169
1000 REM INITIATE

1010 PRINTCL$
1030 PRINTTAB(10)" WELCOME  TO":PRINT
1035 PRINTTAB(9);RV$;" C A P T U R E ";NO$:PRINT
1037 PRINTTAB(9)" BY MAC OGLESBY":PRINT:PRINT
1040 INPUT"WANT INSTRUCTIONS (Y/N)";A$
1050 IFA$<>"Y"THEN1100
1060 X=-1
1070 PRINT
1080 PRINT"I'LL PRINT INSTRUCTIONS AFTER I MAKE THE PLAYING BOARD..."
1090 FORI=1TO2500:NEXT
1100 DIM D$(20),E$(20),L(26),M(26),R(25),C(25),P$(2)
1110 P$(1)="!":P$(2)="="
1140 FORJ=1TO25:READR(J),C(J):NEXT
1150 DATA -3,0,-2,-1,-2,0,-2,1
1155 DATA -1,-2,-1,-1,-1,0,-1,1,-1,2
1160 DATA 0,-3,0,-2,0,-1,0,0,0,1,0,2,0,3
1165 DATA 1,-2,1,-1,1,0,1,1,1,2
1170 DATA 2,-1,2,0,2,1,3,0
1180 PRINTCL$
1199 PRINT"STARTING GAME BOARD POPULATION:"

1200 K=65:FORI=1TO20:D$(I)="":FOR J=1TO40
1205 A=INT(RND(1)*100)+1
1210 IFA>97ANDK<91THEND$(I)=D$(I)+CHR$(K):L(K-64)=100*I+J
1212 IFA>97ANDK<91THENK=K+1:GOTO1220
1215 IFA>55THEND$(I)=D$(I)+CHR$(46)
1217 IFA<56THEND$(I)=D$(I)+CHR$(32)
1220 NEXTJ:?HM$;ES$+"3B";I;"OF 20 FILLED":NEXTI

1300 REM FORJ=1TO20:E$(J)=D$(J):NEXT
1400 IFX<0THENGOSUB9000
1500 REM
1510 REM
1550 ZZ$="":FORI=1TO52:ZZ$=ZZ$+" ":NEXT

1560 RT$=ES$+"39C"
2000 T=2
2100 PRINTHM$;
2110 INPUT"HOW MANY HUMAN PLAYERS (1 OR 2)";A$
2130 IF A$<>"1"ANDA$<>"2"THENGOSUB9600:GOTO2100
2140 PL=VAL(A$)
2150 IFPL=2THEN3000
2200 GOSUB9600:PRINTHM$;"OK, I'LL PLAY THE !s"
2210 INPUT"WHO GOES FIRST (1=COMPUTER - 2=YOU)";A$
2220 PRINTCL$:GOSUB 7000
2230 IFA$<>"1"ANDA$<>"2"THENGOTO2200
2240 T=3-VAL(A$)

3000 REM *** COMPUTER'S MOVE
3100 T=3-T
3110 IFPL=2ORT=2THEN4000
3130 GOSUB9600:PRINTHM$;"PLEASE BE PATIENT WHILE I THINK..."
3140 E=0
3160 FORJ=1TO26
3200 IFL(J)=0THEN3900
3210 PRINTCHR$(J+64);" ";
3220 R=INT(L(J)/100):C=L(J)-R*100
3240 Q=0
3250 FORK=1TO25
3260 R1=R+R(K):IFR1>20ORR1<1THEN3400
3270 C1=C+C(K):IFC1>40ORC1<1THEN3400
3280 X$=MID$(D$(R1),C1,1):IFX$=" "ORX$="!"THEN3400
3290 Q=Q+1
3400 NEXTK
3500 IFQ>ETHENM$=CHR$(J+64):E=Q:GOTO3900
3510 IF Q=ETHENM$=M$+CHR$(J+64)
3900 NEXTJ:PRINTHM$

3910 X=1+INT(LEN(M$)*RND(1))
3920 Z$=MID$(M$,X,1):X=ASC(Z$)-64
3930 GOSUB9600:PRINTHM$;"I CAPTURE ";Z$:GOTO4300

4000 REM *** HUMAN'S MOVE
4110 GOSUB9600:PRINTHM$"THE ";P$(T);"s CAPTURE...";
4120 INPUTA$

4210 IFA$="*"THENGOSUB9000:GOTO4110
4240 X=ASC(A$)-64:IFX<1ORX>26THEN4260
4250 IFL(X)<>0THEN4300
4255 GOSUB9600:PRINTHM$;"THAT LETTER HAS BEEN CAPTURED!"
4257 GOSUB9700:GOTO4110
4260 GOSUB9600:PRINTHM$;"YOU CONFUSE ME. TYPE * FOR HELP."
4290 GOSUB9700:GOTO4110
4300 R=INT(L(X)/100):C=L(X)-R*100
4390 C$=P$(T)
4400 FORJ=1TO25
4410 R8=R+R(J):IFR8<1ORR8>20THEN4500

4420 C8=C+C(J):IFC8<1ORC8>40THEN4500
4430 Z$=MID$(D$(R8),C8,1):IFZ$=" "THEN4500
4440 X=ASC(Z$):IFX>64ANDX<91THENL(X-64)=0
4450 GOSUB6000
4500 NEXTJ
4520 GOSUB7000:X=0
4600 FORJ=1TO26:X=X+L(J):NEXT
4610 IFX=0THEN8000
4700 GOTO3000

6000 REM *** UPDATE BOARD
6100 IFC8=1THEND$(R8)=C$+RIGHT$(D$(R8),39):RETURN
6200 IFC8=40THEND$(R8)=LEFT$(D$(R8),39)+C$:RETURN
6300 D$(R8)=LEFT$(D$(R8),C8-1)+C$+RIGHT$(D$(R8),40-C8):RETURN

7000 REM *** PRINT BOARD
7010 PRINTHM$;DN$
7100 FORJ=1TO20:PRINTD$(J):NEXT:RETURN

8000 REM *** END
8100 PRINTCL$;"NOW, LET'S SEE WHO WON..."
8200 H1=0:H2=0
8300 FORJ=1TO20
8310 PRINTD$(J)
8320 FORK=1TO40
8330 A$=MID$(D$(J),K,1)
8340 IFA$="!"THEN H1=H1+1:GOTO 8400
8350 IFA$="="THEN H2=H2+1
8400 NEXT K
8500 NEXT J
8600 IFH1<>H2THEN8700
8620 PRINT "TIE GAME!!! EACH HAS";H1;"CAPTURES.":GOTO8720
8700 PRINT"THE ";P$((SGN(H2-H1)+3)/2);"s WIN!!!";
8710 PRINT" THE !s HAVE";H1;"AND THE =s";H2
8720 PRINT"TYPE 'RUN' TO PLAY AGAIN. GOODBYE FOR NOW...":END
8754 REM LINES 8760-8840 ALLOW FOR REPLAY WITH SAME BOARD SETUP IF
8756 REM THE CODE FOLLOWING THE REMS IN LINE 1240 AND LINE 1300
8758 REM IS RESTORED.  *MY 8K PET RUNS OUT OF MEMORY*
8760 PRINTCL$;ES$+"8B";ES$+"8C";"1 = SAME SETUP"
8770 PRINT:PRINTTAB(8)"2 = NEW BOARD"
8780 INPUT"PLEASE TYPE 1 OR 2... ";A$
8800 IFA$="2"THEN PRINT"RUN":RUN
8810 IFA$<>"1"THEN PRINT:GOTO8780
8820 FORJ=1TO20:D$(J)=E$(J):NEXT
8830 FORJ=1TO26:L(J)=M(J):NEXT
8840 GOSUB7000:GOTO 2000

9000 REM *** RULES
9010 PRINT CL$;
9100 PRINT "GOING IN TURN, THE PLAYERS (! AND =) CAPTURE ANY LETTER"
9110 PRINT "ON THE BOARD. NOT COUNTING SPACES, ALL CHARACTERS WITHIN"
9120 PRINT "THE FIELD SHAPE AT RIGHT ARE       ."
9130 PRINT "ALSO CAPTURED AND CHANGE          ..."
9140 PRINT "TO THAT PLAYER'S SYMBOL.         ....."
9160 PRINT "                                ...A..."
9170 PRINT "THE GAME ENDS WHEN ALL           ....."
9180 PRINT "LETTERS ARE GONE. THE PLAYER      ..."
9190 PRINT "WITH THE MOST AREA CAPTURED        ."
9200 PRINT "WINS. TO CAPTURE AN AREA, JUST TYPE THE LETTER."
9230 PRINT "TYPE * TO READ THESE INSTRUCTIONS AGAIN."
9240 PRINT:PRINT"PRESS RETURN WHEN YOU'RE READY TO START."
9400 INPUT A$
9410 PRINT CL$:GOSUB 7000: RETURN

9600 PRINTHM$;ZZ$:PRINTZZ$:PRINTZZ$
9610 RETURN
9700 FORZ=1TO1234:NEXT:RETURN
