100 PRINT:PRINT"        M  O  T  I  E"
110 PRINT"  BY MAC OGLESBY, JUNE 1975":PRINT
120 REM MODIFIED FROM DARTMOUTH TO KIM-1 BASIC AND FOR 1 PLAYER
130 REM BY DAVE HASSLER, 2023, FOR THE PAL-1 6502 SBC
140 REM THE FOLLOWING COMMENTS APPEARED IN THE ORIGINAL LISTING IN
150 REM PEOPLE'S COMPUTER COMPANY NEWSPAPER; VOL 4, NO 4; JAN 1976
160 REM
165 REM DESCRIPTION: THE MOTIES ARE NON-HUMANS POSSESSING
170 REM  INCREDIBLE TECHNOLOGICAL BRILLIANCE. THEY BREED AS
175 REM  RAPIDLY AS BACTERIA AND DESPERATELY NEED MORE ROOM. IF THEY
180 REM  ELUDE THE GUARDIAN STARSHIPS PROTECTING THE ONLY GATEWAY
185 REM  BETWEEN THE MOTIE WORLD AND THE HUMAN EMPIRE, HUMANKIND
190 REM  WILL BE ENSLAVED, IF NOT EXTERMINATED.
195 REM
200 REM REMARKS: THE SCENARIO FOR THIS GAME WAS ADAPTED FROM THE
205 REM  NOVEL 'A MOTE IN GOD'S EYE' BY L. NIVEN AND J. POURNELLE.
210 REM  THE GAME ITSELF IS AN ADAPTATION OF 'THE SOLDIER'S GAME'
215 REM  DESCRIBED IN DETAIL IN 'THE MASTER BOOK OF MATHEMATICAL
220 REM  RECREATIONS' BY F. SCHUR (DOVER).

250 POKE 10920,169: REM DEFEAT KB9'S 'RETURN-ALONE = BRK'

310 DIM C$(15),D$(11),C(11),F(11),D(11,11),G(11,11),H(11)
330 FOR J=0TO10:READ C(J):NEXT
360 DATA 3,3,3,3,2,5,2,2,3,2,0
370 FOR J=0TO10:READ F(J):NEXT
400 DATA 3,4,4,4,3,8,3,4,4,4,3
410 FOR J=0TO10:FORK=1TOC(J):READ D(J,K):NEXTK:NEXTJ
460 DATA 1,2,3,2,4,5,1,3,5,2,5,6,5,7,4,6,7,8,9,5,9
470 DATA 8,10,7,9,10,8,10,0
480 FOR J=0TO10:FORK=1TOF(J):READ G(J,K):NEXTK:NEXTJ
530 DATA 1,2,3,0,2,4,5,0,1,3,5,0,2,5,6,1,5,7,1,2,3,4,6,7,8,9
540 DATA 3,5,9,4,5,8,10,5,7,9,10,5,6,8,10,7,8,9
550 FOR J=0TO10:B$(J)=STR$(J):NEXT
560 P=1:F=0
590 INPUT"WANT INSTRUCTIONS FOR MOTIE";I$
610 IF LEFT$(I$,1)<>"Y" THEN 780
620 GOSUB 2870:GOTO660
640 GOSUB 2520


660 REM MAC'S 'HOW MANY PLAYERS (1 OR 2)' ROUTINE (DELETED)

780 G=2+INT(RND(1)*9)
790 IF G<>3 THEN 810
800 GOTO 780
810 PRINT"OK, I'LL MOVE THE MOTIE VESSEL, FIRST DETECTED AT";G
830 B$(0)="*":B$(1)="*":B$(3)="*":B$(G)="&"
870 GOSUB 2680
890 PRINT"* = GUARDIANS   & = MOTIE"
900 GOSUB 2740
920 INPUT"    GUARDIAN (*) MOVE (2 NUMBERS OR S,R,H)";G$
940 G1$=LEFT$(G$,1)
950 IF G1$="S" THEN 1030
960 IF G1$="R" THEN 1010
970 IF G1$="H" THEN 990
980 GOTO 1050
990 GOSUB 3090
1000 GOTO 920
1010 PRINT"THE GUARDIANS HAVE GIVEN UP!!":GOTO2210
1030 PRINT"PROGRAM HALTED.":END

1040 REM *** WAS MAC'S 'DROP COMMAS, ETC' ROUTINE, REWRITTEN FOR KB9
1050 FOR J=1 TO LEN(G$):A=ASC(MID$(G$,J,1))
1060 IF A<48 OR A>57 THEN F=1
1070 NEXT J
1080 IF F THEN F=0:GOTO 1290

1160 IF LEN(G$)=2 THEN 1210
1170 G1=VAL(MID$(G$,2,2))
1180 IF G1<>10 THEN 1290
1190 GOTO 1220

1210 G1=VAL(MID$(G$,2,1))
1220 G0=VAL(MID$(G$,1,1))
1230 IF B$(G0)<>"*" THEN 1290
1240 IF G1<>VAL(B$(G1)) THEN 1290
1250 FOR K=1 TO C(G0)
1260 IF G1<>D(G0,K) THEN 1280
1270 GOTO 1330
1280 NEXT K
1290 PRINT"ILLEGAL MOVE. INPUT IGNORED."
1300 PRINT"FOR INSTRUCTIONS, TYPE 'H' AS YOUR MOVE."
1310 GOTO 920

1330 T=T+1
1340 B$(G1)="*"
1350 B$(G0)=STR$(G0)
1360 GOSUB 2680

1380 IF P=1 THEN 1780

1390 IF C$(T)="0*23&*6*8910" THEN 1430
1400 IF C$(T)="012*4*&78*10" THEN 1430
1410 IF C$(T)="0123456***&" THEN 1430
1420 GOTO 1440
1430 GOTO 1850
1440 PRINT"MOTIE (&) MOVE (1 NUMBER OR S,R,H)";
1450 INPUT G$:IF LEN(G$)>2 THEN 1450

1460 G1$=LEFT$(G$,1)
1470 IF G1$="S" THEN 1550
1480 IF G1$="R" THEN 1530
1490 IF G1$="H" THEN 1510
1500 GOTO 1570
1510 GOSUB 3090
1520 GOTO 1440
1530 PRINT"THE MOTIE VESSEL GIVES UP!!":GOTO2210
1540 PRINT"PROGRAM HALTED.":END

1570 REM *** SOME OF MAC'S USER INPUT CHECKING

1590 G2=VAL(MID$(G$,1,1)):IF LEN(G$)=2 THEN G3=VAL(MID$(G$,2,1))
1600 IF G2=1 AND G3=0 THEN G1=10: GOTO 1620
1610 IF G2<0 OR G2>9 THEN 1730
1620 REM .......TO COMPUTER MOVES MOTIE

1780 T9=0
1790 FOR K=1TOF(G)
1800 IF B$(G(G,K))="*" THEN 1830
1810 T9=T9+1
1820 H(T9)=G(G,K)
1830 NEXT K
1840 IF T9<>0THEN1880
1850 PRINT"THE MOTIE VESSLE CANNOT MOVE!"
1860 PRINT"THE GUARDIANS HAVE SAVED THE HUMAN GALACTIC EMPIRE!"
1870 GOTO 2390
1880 FOR K=1TOT9
1890 G1=H(K)
1900 IF T9=1 THEN 2050
1910 IF G1=4 THEN 2030
1920 IF G1=6 THEN 2000
1930 IF G1<>8 THEN 1990
1940 IF C$(T)="0123**6&8*10" THEN 1980
1950 IF C$(T)="01234***8&10" THEN 1980
1960 IF C$(T)="01234***89&" THEN 1980
1970 GOTO 2080
1980 GOTO 2060
1990 GOTO 2080
2000 IF C$(T)="012*4*67*&10" THEN 2020
2010 GOTO 2080
2020 GOTO 2060
2030 IF C$(T)="0*234*6&*910" THEN 2050
2040 GOTO 2060
2050 GOTO 2080
2060 NEXT K

2080 B$(G1)="&":B$(G)=STR$(G):G=G1
2120 PRINT"        MOTIE (&) GOES TO";G
2130 C$(T)=""
2140 GOSUB 2680
2150 GOSUB 2740

2180 IF B$(0)<>"&" THEN 2230
2190 PRINT:PRINT"THE MOTIE VESSEL HAS REACHED THE EMPIRE WORLDS!"
2210 PRINT"MAY ROCKEFORD PROTECT US!!"
2220 GOTO 2390
2230 IF T<15 THEN 2280
2240 PRINT:PRINT"THE MOTIE VESSEL IS STILL LOOSE AFTER 15 MOVES!"
2260 PRINT"THE GUARDIANS HAVE FAILED!"
2270 GOTO 2390
2280 T9=0
2290 FOR J=0TOT-1
2300 IF C$(T)<>C$(J) THEN 2360
2310 T9=T9+1
2320 IF T9<2 THEN 2360
2330 PRINT:PRINT"THAT'S 3 TIMES WE'VE SEEN THIS DISPLAY!"
2350 GOTO 2260
2360 NEXT J
2370 GOTO 920

2390 PRINT:INPUT"REPLAY";I$
2420 IF LEFT$(I$,1)<>"Y" THEN 2490
2430 FOR J=0TO10:B$(J)=STR$(J):NEXT
2460 FOR J=0TO15:C$(J)="":NEXT
2470 T=0
2480 GOTO 780
2490 END

2510 REM *** BOARD EXAMPLE
2520 PRINT
2530 PRINT"MOTIE WORLD"
2540 PRINT"   10"
2550 PRINT"  /|\"
2560 PRINT" 7-8-9"
2570 PRINT" |\|/|  ALDERSON"
2580 PRINT" 4-5-6  INTERSTELLAR"
2590 PRINT" |/|\|  JUMP POINTS"
2600 PRINT" 1-2-3"
2610 PRINT"  \|/"
2620 PRINT"   0"
2630 PRINT"HUMAN EMPIRE"
2640 RETURN

2670 REM *** RECORD CURRENT POSITIONS
2680 FOR J=0TO10:C$(T)=C$(T)+B$(J):NEXT J
2710 RETURN

2730 REM *** PRINT DISPLAY, MODS TO TAKE OUT LEADING SPC IN VARIB.
2740 PRINT
2745 FOR L=0TO9:D$(L)=B$(L):IFLEN(B$(L))=2THEND$(L)=RIGHT$(B$(L),1)
2747 NEXT L:IF B$(10)=" 10"THEN B$(10)="10"
2750 PRINT"   ";B$(10)
2760 PRINT"  /|\"
2770 PRINT " ";D$(7);"-";D$(8);"-";D$(9)
2780 PRINT" |\|/|  TIME:";T
2790 PRINT " ";D$(4);"-";D$(5);"-";D$(6)
2800 PRINT" |/|\|"
2810 PRINT " ";D$(1);"-";D$(2);"-";D$(3)
2820 PRINT"  \|/"
2830 PRINT"   ";D$(0);
2840 RETURN

2860 REM *** INSTRUCTIONS
2870 PRINT
2875 PRINT"BACKGROUND: IN THE DISTANT FUTURE, HUMANS CONTROL MOST"
2900 PRINT"  OF THE GALAXY. TRAVEL BETWEEN STARS INVOLVES JUMPS"
2910 PRINT"  FROM ONE 'ALDERSON POINT' TO ANOTHER. THE MOTIES ARE"
2920 PRINT"  THE ONLY INTELLIGENT CREATURES HUMANS HAVE DISCOVERED."
2930 PRINT"  ALTHOUGH ADVANCED, THEY CAN'T CONTROL THEIR POPULATION"
2940 PRINT"  AND NEED NEW WORLDS. SINCE DISCOVERING THE JUMP POINTS"
2950 PRINT"  THEY HAVE BEEN TRYING TO REACH AND OCCUPY THE HUMAN"
2960 PRINT"  EMPIRE.  JUMP POINTS MAP: ":GOSUB 2520
2970 INPUT"       PRESS <RETURN> TO CONTINUE...";A$
2990 PRINT
3000 PRINT"THE GAME: THE HUMAN EMPIRE IS PROTECTED BY 3 GUARDIAN"
3010 PRINT"  STARSHIPS, LOCATED AT POINTS 0, 1, AND 3.  THE MOTIE"
3020 PRINT"  VESSEL WILL BE PLACED BY THE COMPUTER AT ANY VACANT"
3030 PRINT"  POINT. THE COMPUTER WILL PILOT THE MOTIE SHIP, WHILE"
3040 PRINT"  YOU WILL COMMAND THE GUADIANS. THE PLAY GOES IN TURNS,"
3050 PRINT"  AND PLAYERS MUST MOVE, IF POSSIBLE. TO MOVE MEANS TO"
3060 PRINT"  TRANSFER A PIECE TO AN ADJACENT, VACANT POINT THAT IS"
3070 PRINT"  CONNECTED TO THE PRESENT LOCATION. ENTER THE POINT"
3080 PRINT"  NUMBER YOU WISH TO MOVE FROM, THEN THE POINT TO MOVE"
3090 PRINT"  TO AND PRESS <RETURN>. E.G.,  36  WILL MOVE A SHIP AT"
3093 PRINT"  POINT 3 TO 6. OTHER COMMANDS: S=STOP, R=RESIGN, H=HELP."
3100 PRINT
3110 PRINT"  GUARDIAN SHIPS MAY ONLY MOVE FORWARD (UP) OR SIDEWAYS."
3120 PRINT"  THE MOTIE SHIP MAY MOVE ALONG ANY JUMP POINT CONDUIT"
3130 PRINT"  IT CAN ACCESS, IN ANY DIRECTION. THE GUARDIANS WIN IF"
3140 PRINT"  THE MOTIE SHIP IS TRAPPED AND HAS NO LEGAL MOVES; THE"
3150 PRINT"  MOTIES WIN IF THEIR SHIP IS UNTRAPPED AFTER 15 TURNS,"
3160 PRINT"  IF THERE IS A 3-TIME REPETITION OF ANY POSITION, OR IF"
3170 PRINT"  THEY REACH THE GATEWAY TO THE HUMAN WORLDS AT POINT 0."
3180 PRINT
3190 INPUT"      PRESS <RETURN> TO START THE GAME...";A$
3300 RETURN
