100 REM RESCUE - BY MAC OGLESBY, 05/19/1975
110 REM AS IT APPEARED IN PEOPLE'S COMPUTER COMPANY NEWSPAPER,
120 REM JAN. 1976, VOL.4, NO.4, PG.22.
130 REM TRANSLATED FROM DARTMOUTH BASIC TO KIM-1 BASIC 9 AND
140 REM SERIAL TERMINAL EMULATOR BY DAVE HASSLER, SEPT, 2023.
150 REM ** ORIGINAL LINE NUMBERS AND STRUCTURE PRESERVED AS
160 REM ** MUCH AS POSSIBLE, LINES MADE 72-CHARACTERS. - dhh

200 REM INITIALIZATION
210 POKE 10990,240: REM FIX KB9 'GET' BUG
290 DIM B(6,6), D(12), G(3), K(6,6), P(6,6)
300 REM
310 FOR I=1TO6:FORJ=1TO6:READ B(I,J):NEXT J:NEXT I
320 DATA 1,0,1,0,1,0
330 DATA 0,1,0,1,0,1
340 DATA 1,0,10,11,1,0
350 DATA 0,1,11,10,0,1
360 DATA 1,0,1,0,1,0
370 DATA 0,1,0,1,0,1
380 G(1)=0:G(2)=2:G(3)=11

400 PRINT
410 PRINT "*** MAYDAY *** MAYDAY *** MAYDAY ***"
420 PRINT "INTERSTELLAR STARSHIP KIEWIT CALLING."
430 ?"COMPUTER DISC FAILURE MODIFIED OUR NAVIGATIONAL SOFTWARE"
440 ?"AND WE HAVE SCRAPED AGAINST ASTEROID #ASR-33.  OUR HULL"
450 ?"AND LIFEBOATS ARE DAMAGED.  MOST OF OUR LIFE-SUPPORT"
460 ?"SYSTEMS HAVE BEEN DESTROYED.  IMMEDIATE ASSISTANCE IS"
465 PRINT "ESSENTIAL.  PLEASE RESPOND."
470 PRINT "*** MAYDAY *** MAYDAY *** MAYDAY ***"
472 PRINT:PRINT "DO YOU NEED INSTRUCTIONS";
474 INPUT I$
476 IF LEFT$(I$,1)<>"Y" THEN 480
478 GOSUB 2320

480 T=12
490 FOR J=1TO6:FORK=1TO6:P(J,K)=32:NEXTK:NEXTJ
540 W1=0:W2=0
550 Z9=RND(1):IF Z9<.5 THEN 580
560 M=1
570 GOTO 590
580 M=-1
590 R1=1+INT(RND(1)*6)
600 C1=6
610 P(R1,C1)=38
620 C2=1+INT(RND(1)*2)
630 R2=1+INT(RND(1)*6)
640 IF B(R1,C1)=B(R2,C2)THEN 660
650 GOTO 620
660 P(R2,C2)=42
670 PRINT
680 REM PRINT "DO YOU NEED INSTRUCTIONS";
690 REM INPUT I$
700 REM IF LEFT$(I$,1)<>"Y" THEN 720
710 REM GOSUB 2320
720 REM PRINT

730 PRINT "RESCUE STARSHIP (&) IS AT ";RIGHT$(STR$(R1),1);
735 PRINT ".";RIGHT$(STR$(C1),1)


740 PRINT "STARSHIP KIEWIT (*) IS AT ";RIGHT$(STR$(R2),1);
745 PRINT ".";RIGHT$(STR$(C2),1)
750 ? "SAVE STARSHIP KIEWIT BY MOVING INTO ITS SQUARE WITHIN";
755 PRINT T;"MOVES"
760 PRINT
770 PRINT "MAP AT START"
780 GOTO 840

800 REM PRINT DISPLAY
820 PRINT
830 PRINT "MAP AFTER MOVE";W1
840 PRINT "   1 2 3 4 5 6"
850 FOR J=1TO6
860 PRINT J;
870 FOR K=1TO6
880 PRINT CHR$(P(J,K));" ";
900 NEXT K
910 PRINT
920 NEXT J

1070 IF W2=0 THEN 1170

1090 REM WINNER!!

1110 PRINT "THANK HEAVEN!!  YOU'VE SAVED THE PEOPLE ABOARD"
1115 PRINT "STARSHIP KIEWIT!"
1120 PRINT "REPLAY";
1130 INPUT R$
1140 IF LEFT$(R$,1)<>"Y" THEN 1160
1150 GOTO 490
1160 END
1170 IF W1<T THEN 1240

1190 REM LOSER

1210 PRINT "DISASTER!! THE PEOPLE ABOARD STARSHIP KIEWIT HAVE"
1220 PRINT "PERISHED FROM COLD AND LACK OF OXYGEN."
1230 GOTO 1120
1240 W1=W1+1

1260 REM GET USER'S MOVE

1280 PRINT "RESCUE STARSHIP'S MOVE (ROW.COL)";
1290 INPUT A$
1300 IF LEFT$(A$,1)<>"S" THEN 1330
1310 PRINT "PROGRAM HALTED"
1320 END
1330 IF A$<>"HELP" THEN 1600

1350 REM HELP SECTION PRINTS LEGAL MOVES

1370 PRINT "YOU ARE NOW AT (ROW,COL) ";STR$(R1);".";STR$(C1)
1380 PRINT "YOU MAY MOVE TO ANY OF THESE SQUARES (ROW.COL):"
1390 IF R1=1 THEN 1410
1400 PRINT "  ";RIGHT$(STR$(R1-1),1);".";RIGHT$(STR$(C1),1);
1410 IF C1=1 THEN 1430
1420 PRINT "  ";RIGHT$(STR$(R1),1);".";RIGHT$(STR$(C1-1),1);
1430 IF C1=6 THEN 1450
1440 PRINT "  ";RIGHT$(STR$(R1),1);".";RIGHT$(STR$(C1+1),1);
1450 IF R1=6 THEN 1470
1460 PRINT "  ";RIGHT$(STR$(R1+1),1);".";RIGHT$(STR$(C1),1);
1470 IF (3-R1)*(4-R1)<>0 THEN 1500
1480 IF (3-C1)*(4-C1)<>0 THEN 1500
1490 PRINT "  ";RIGHT$(STR$(ABS(7-R1)),1);".";
1495 PRINT RIGHT$(STR$(ABS(7-C1)),1);
1500 PRINT
1510 PRINT "WANT THE COMPLETE INSTRUCTIONS";
1520 INPUT I$
1530 IF LEFT$(I$,1)="Y" THEN 1550
1540 GOTO 1280
1550 GOSUB 2320
1560 GOTO 1280

1580 REM CHECK IF LEGAL MOVE

1600 IF LEN(A$)<>3 THEN 1680
1610 IF MID$(A$,2,1)<>"." THEN 1680
1630 R3=VAL(LEFT$(A$,1))
1640 C3=VAL(RIGHT$(A$,1))
1650 IF (9-R3)*R3<0 THEN 1680
1660 IF (9-C3)*C3<0 THEN 1680
1670 GOTO 1710
1680 PRINT "YOU MUST TYPE 2 PERIOD-SEPARATED DIGITS. ";
1685 PRINT "INPUT IGNORED."
1690 GOTO 1280

1710 IF (6-R3)*(R3-1)<0 THEN 1830
1720 IF (6-C3)*(C3-1)<0 THEN 1830
1730 IF ABS(R3-R1)>1 THEN 1830
1740 IF ABS(C3-C1)>1 THEN 1830
1750 IF ABS(R3-R1)+ABS(C3-C1)<>0 THEN 1780
1760 PRINT "YOU MUST MOVE YOUR SHIP!"
1770 GOTO 1830
1780 FOR J=1 TO 3
1790 IF B(R1,C1)+B(R3,C3)<>G(J) THEN 1810
1800 GOTO 1830
1810 NEXT J
1820 GOTO 1860
1830 ?"ILLEGAL MOVE. TYPE 'HELP' IF YOU NEED IT. INPUT IGNORED."
1840 GOTO 1280

1860 P(R3,C3)=38
1870 P(R1,C1)=32
1880 IF ABS(R2-R3)+ABS(C2-C3)<>0 THEN 1910
1890 W2=1
1900 GOTO 820
1910 R1=R3
1920 C1=C3

1940 REM STARSHIP KIEWIT MOVE SECTION

1960 IF ABS(R1-R2)+ABS(C1-C2)>2 THEN 2200
1970 FOR J=1TO2
1980 R3=R2+M
1990 IF ABS(R1-R3)>ABS(R1-R2) THEN 2200
2010 GOTO 2040
2020 IF (6-R3)*(R3-1)<0 THEN 2040
2030 GOTO 2240
2040 M=-M
2050 NEXT J
2060 FOR J=1TO2
2070 C3=C2+M
2080 IF ABS(C1-C3)>ABS(C1-C2) THEN 2110
2100 GOTO 2130
2110 IF (6-C3)*(C3-1)<0 THEN 2130
2120 GOTO 2160
2130 M=-M
2140 NEXT J
2150 GOTO 2200
2160 P(R2,C3)=42
2170 P(R2,C2)=32
2180 C2=C3
2190 GOTO 2270
2200 R3=R2+M
2210 IF (6-R3)*(R3-1)=>0 THEN 2240
2220 M=-M
2230 GOTO 2200
2240 P(R3,C2)=42
2250 P(R2,C2)=32
2260 R2=R3
2270 PRINT "STARSHIP KIEWIT GOES TO ";RIGHT$(STR$(R2),1);
2280 PRINT ".";RIGHT$(STR$(C2),1)
2290 GOTO 820

2300 REM INSTRUCTIONS

2320 PRINT
2330 ?"  THE YEAR IS 2087. YOU ARE COMMANDER OF AN ORBITAL"
2340 ?"RESCUE STATION. IN RESPONSE TO THE DISTRESS CALL FROM"
2350 ?"STARSHIP KIEWIT, YOU SET OUT TO TRY TO RESCUE ITS CREW"
2360 ?"AND PASSENGERS BEFORE THEIR OXYGEN RUNS OUT."
2380 ?"  THE PEOPLE ABOARD THE KIEWIT WILL BE SAVED IF YOU CAN"
2390 ?"MOVE INTO THE SQUARE IT OCCUPIES WITHIN";T;"MOVES."
2410 ?"  THE ACTION IS DISPLAYED ON A BOARD OF SQUARES 6 X 6."
2420 ?"THE SQUARE AT UPPER LEFT IS ROW 1, COLUMN 1."
2430 ?"YOU MAKE A MOVE BY TYPING 2 DIGITS (1-6) SEPARATED BY"
2440 ?"A PERIOD. THE FIRST NUMBER IS THE ROW AND THE SECOND"
2450 ?"THE COLUMN."
2470 ?"  AT EACH TURN YOU MOVE THE RESCUE STARSHIP TO ANY"
2480 ?"ADJACENT SQUARE WHICH HAS A SIDE IN COMMON WITH YOUR"
2490 ?"CURRENT SQUARE. YOU MAY MOVE DIAGONALLY ONLY BETWEEN";
2495 PRINT" THE"
2500 ?"4 CENTER SQUARES (ROW.COL): 3.3  3.4  4.3  4.4."
2520 ?"  STARSHIP KIEWIT ALSO MOVES, FOR THE COMPUTER ";
2525 ?"MALFUNCTION"
2530 ?"PREVENTS TOTAL ENGINE SHUT-DOWN OR PROPER NAVIGATION."
2540 ?"NOTE: KIEWIT'S AUTOMATIC METEOR AVOIDANCE SYSTEM HAS"
2550 ?"BEEN JAMMED 'ON' BY THE COLLISION, WHICH MEANS THE";
2555 ?" KIEWIT"

2570 PRINT
2580 ?"HIT ANY KEY TO RETURN: ";:GET Z$:PRINT:RETURN